Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## LumiSoft.UI.Controls.WOutlookBar
Class Bar

    java.lang.Object
      LumiSoft.UI.Controls.WOutlookBar.Bar

    public class Bar

extends java.lang.Object

Outlookbar bar.

Method Summary
`java.awt.Rectangle` | `getBarClientRect()`
`java.awt.Rectangle` | `getBarRect()`
`Bars` | `getBars()`
`int` | `getFirstVisibleIndex()`
`java.awt.Font` | `getFont()` Gets bar text font.
`int` | `getIndex()` Gets bar index.
`boolean` | `getIsLastVisible()`
`Items` | `getItems()` Gets bar items collection.
`java.awt.Font` | `getItemsFont()` Gets bar items text font.
`int` | `getItemsStyle()` Gets bar itmes style.
`int` | `getItemsStyleCurrent()` Gets bar items style.
`int` | `getItemsTextAlign()` Gets bar items text alignment.
`java.lang.Object` | `getTag()` Gets bar tag.
`java.lang.String` | `getText()` Gets bar text.
`int` | `getTextAlign()` Gets bar text alignment.
`java.lang.String` | `getTextID()` Gets bar text ID.
`boolean` | `getVisible()` Gets if item is visible.
`void` | `setBarClientRect(java.awt.Rectangle value)`
`void` | `setBarRect(java.awt.Rectangle value)`
`void` | `setFirstVisibleIndex(int value)`
`void` | `setFont(java.awt.Font value)` Sets bar text font.
`void` | `setItemsFont(java.awt.Font value)` Sets bar items text font.
`void` | `setItemsStyle(int value)` Set bar items style.
`void` | `setItemsTextAlign(int value)` Gets bar items text alignmet.
`void` | `setTag(java.lang.Object value)` Sets bar tag.
`void` | `setText(java.lang.String value)` Sets bar text.
`void` | `setTextAlign(int value)`
`void` | `setTextID(java.lang.String value)` Sets bar text ID.
`void` | `setVisible(boolean value)` Sets if item is visible.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getText

    public java.lang.String getText()

  Gets bar text.

  Returns:

### setText

    public void setText(java.lang.String value)

  Sets bar text.

  Parameters:
    `value` -

### getTextID

    public java.lang.String getTextID()

  Gets bar text ID.

  Returns:

### setTextID

    public void setTextID(java.lang.String value)

  Sets bar text ID.

  Parameters:
    `value` -

### getTextAlign

    public int getTextAlign()

  Gets bar text alignment.

  Returns:

### setTextAlign

    public void setTextAlign(int value)

  Parameters:
    `value` -

### getVisible

    public boolean getVisible()

  Gets if item is visible.

  Returns:

### setVisible

    public void setVisible(boolean value)

  Sets if item is visible.

  Parameters:
    `value` -

### getTag

    public java.lang.Object getTag()

  Gets bar tag.

  Returns:

### setTag

    public void setTag(java.lang.Object value)

  Sets bar tag.

  Parameters:
    `value` -

### getFont

    public java.awt.Font getFont()

  Gets bar text font.

  Returns:

### setFont

    public void setFont(java.awt.Font value)

  Sets bar text font.

  Parameters:
    `value` -

### getIndex

    public int getIndex()

  Gets bar index.

  Returns:

### getItems

    public Items getItems()

  Gets bar items collection.

  Returns:

### getItemsTextAlign

    public int getItemsTextAlign()

  Gets bar items text alignment.

  Returns:

### setItemsTextAlign

    public void setItemsTextAlign(int value)

  Gets bar items text alignmet.

  Parameters:
    `value` -

### getItemsStyle

    public int getItemsStyle()

  Gets bar itmes style.

  Returns:

### setItemsStyle

    public void setItemsStyle(int value)

  Set bar items style.

  Parameters:
    `value` -

### getItemsFont

    public java.awt.Font getItemsFont()

  Gets bar items text font.

  Returns:

### setItemsFont

    public void setItemsFont(java.awt.Font value)

  Sets bar items text font.

  Parameters:
    `value` -

### getItemsStyleCurrent

    public int getItemsStyleCurrent()

  Gets bar items style. UseDefault is excluded.

  Returns:

### getBarRect

    public java.awt.Rectangle getBarRect()

### setBarRect

    public void setBarRect(java.awt.Rectangle value)

### getBarClientRect

    public java.awt.Rectangle getBarClientRect()

### setBarClientRect

    public void setBarClientRect(java.awt.Rectangle value)

### getFirstVisibleIndex

    public int getFirstVisibleIndex()

### setFirstVisibleIndex

    public void setFirstVisibleIndex(int value)

### getIsLastVisible

    public boolean getIsLastVisible()

### getBars

    public Bars getBars()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD